--$Horde: vilma/scripts/sql/vilma.sql,v 1.3 2004/10/22 19:32:50 eraserhd Exp $
-- SQL scripts.

CREATE TABLE vilma_domains (
  domain_id         INT NOT NULL default '0',
  domain_name       VARCHAR(128) NOT NULL default '',
  domain_transport  VARCHAR(128) NOT NULL default '',
  domain_admin      VARCHAR(255) NOT NULL default '',
  domain_max_users  INT NOT NULL default '0',
  domain_quota      INT NOT NULL default '0',
  domain_key	    VARCHAR(64),
--
  PRIMARY KEY  (domain_id),
  UNIQUE (domain_name)
);

CREATE TABLE vilma_users (
  user_id           INT NOT NULL default '0',
  user_name         VARCHAR(255) NOT NULL default '',
  user_clear        VARCHAR(255) NOT NULL default '',
  user_crypt        VARCHAR(255) NOT NULL default '',
  user_full_name    VARCHAR(255) NOT NULL default '',
  user_uid          INT NOT NULL,
  user_gid          INT NOT NULL,
  user_home_dir     VARCHAR(255) NOT NULL default '',
  user_mail_dir     VARCHAR(255) NOT NULL default '',
  user_mail_quota   INT NOT NULL default '0',
  user_ftp_dir      VARCHAR(255) default NULL,
  user_ftp_quota    INT default NULL,
  user_enabled      SMALLINT NOT NULL default '1',
--
  PRIMARY KEY (user_id),
  UNIQUE (user_name)
);

CREATE TABLE vilma_virtuals (
  virtual_id            INT NOT NULL default '0',
  virtual_email         VARCHAR(128) NOT NULL default '',
  virtual_destination   VARCHAR(128) NOT NULL default '',
--
  PRIMARY KEY (virtual_id)
);

GRANT SELECT, INSERT, UPDATE, DELETE ON vilma_domains TO horde;
GRANT SELECT, INSERT, UPDATE, DELETE ON vilma_users TO horde;
GRANT SELECT, INSERT, UPDATE, DELETE on vilma_virtuals TO horde;
